/**
*	This file removes old 
*	downloaded files.
*/

var opendownload_cleanup_loaded = false;
function opendownload_cleanup_init() {
	if(!opendownload_cleanup_loaded){
		
		// Start 6 seconds after opening the browser
		setTimeout("opendownload_cleanup()", 6000);
		
		opendownload_cleanup_loaded = true;
	}
}

function opendownload_cleanup(){
	try{
	
		var iYesterday = (new Date()).getTime() - (1000 * 60 * 60 * 24);
	
		// Get TMP Directory
		var oProps 	= Components.classes["@mozilla.org/file/directory_service;1"].getService(Components.interfaces.nsIProperties);
		var sTmp	= (oProps.get("TmpD", Components.interfaces.nsIFile)).path;
						
		// Get Slash Direction
		var sSlash = (sTmp.indexOf("\\") > -1) ? "\\" : "/";
			
		sTmp += sSlash + "mozOpenDownload";
		
		// Read Directory
		var oDir = Components.classes["@mozilla.org/file/local;1"].getService(Components.interfaces.nsILocalFile);
			oDir.initWithPath(sTmp);
			
		if(oDir.isDirectory()){
			var aFiles 	= oDir.directoryEntries;
			var oFile	= null;
			while(aFiles.hasMoreElements()){
				try{
					oFile = aFiles.getNext().QueryInterface(Components.interfaces.nsIFile);
					
					// Remove
					if(oFile.lastModifiedTime <= iYesterday){
						oFile.remove(true);
					}
				} catch(e) { }
			}
		}
			
	}catch(e){ }
}