
// Init Dialog
function opendownload_init(){

	// Set OnDialogAccept Handler
	try{
		var oDialog = document.getElementById("nsHelperAppDlg");
			oDialog.setAttribute("ondialogaccept", "if(openDownload()) return true;"+ oDialog.getAttribute("ondialogaccept"));
	}catch(e){
		alert("OpenDownload (002)\nCould not initialize open download process.\n"+ e);
		document.getElementById('open-download').disabled = true;
	}
	
	try{
		
		document.getElementById('alwaysHandle').setAttribute("disabled", false);
		document.getElementById('mode').addEventListener("RadioStateChange", opendownload_toggleCheckbox, true);
		document.getElementById('mode').setAttribute("oncommand", document.getElementById('mode').getAttribute("oncommand") +"; opendownload_toggleAccept();");
		document.getElementById('open-download').setAttribute("label", "Open with default "+ navigator.platform +" application");
	
	}catch(e){ }
}


// Toggle "Do this autmatically" checkbox
function opendownload_toggleCheckbox(){
	if(document.getElementById('open-download').selected){
		document.getElementById('alwaysHandle').setAttribute("disabled", true);
	}
	else{
		document.getElementById('alwaysHandle').setAttribute("disabled", false);
	}
}

// Toggle accept button
function opendownload_toggleAccept(){
	if(document.getElementById('open-download').selected){
		dialog.mDialog.document.documentElement.getButton( "accept" ).disabled = false;
	}
}