
/*
*	ERROR CODES
*	001 - 009: (firefox_overlay.js)
*	010	- 019: (moz_overlay.js)
*	100 - 199: openDownload.js
*	200	- 249: (firefox_listners.js)
*	250	- 299: (moz_listners.js)
*/

// Do the download work
function openDownload(){
	if(document.getElementById('open-download').selected){
		try{
			
			// Local File
			if(dialog.mLauncher.source.scheme.toLowerCase() == "file") {
				try{
					// Get Slash Direction
					var oProps 	= Components.classes["@mozilla.org/file/directory_service;1"].getService(Components.interfaces.nsIProperties);
					var sTmp	= (oProps.get("TmpD", Components.interfaces.nsIFile)).path
					var sSlash 	= (sTmp.indexOf("\\") > -1) ? "\\" : "/";
					
					// Format Path
					var sPath	= dialog.mLauncher.source.spec.substring(8);
						sPath 	= sPath.replace(/\//g, sSlash);
						sPath 	= unescape(sPath);
					
					// Open
					var oFile 	= Components.classes["@mozilla.org/file/local;1"].getService(Components.interfaces.nsILocalFile);
						oFile.initWithPath(sPath)
						oFile.launch();
				} catch(err){
					alert("OpenDownload (101)\nAn unknown error occurred.\n"+ err);
				}

				dialog.mDialog.dialog = null;
				return true;
			}
			
			// Complete Path
			OpenDownload_File = opendownload_getTmpFilePath(dialog.mLauncher.suggestedFileName);
			
			// Update Prefs
			var oPref = Components.classes["@mozilla.org/preferences;1"].getService(Components.interfaces.nsIPrefBranch);
				oPref.setCharPref("opendownload.adddownload", OpenDownload_File.path +"??"+ (new Date()).getTime());
			
			// Save
			dialog.mLauncher.saveToDisk(OpenDownload_File, false);
			
		} catch(err){
			alert("OpenDownload (100)\nAn unknown error occurred.\n"+ err);
			return false;
		}
		
		dialog.mDialog.dialog = null;
		return true;
	}
	
}

// Create Temp file that does not currently exit
function opendownload_getTmpFilePath(sFilename){
	try{
		
		// Break Up filename and extension
		var sExt = "";
		if((iDot = sFilename.lastIndexOf(".")) > -1){
			sExt 		= sFilename.substring(iDot);
			sFilename	= sFilename.substring(0, iDot);
		}
		
		// Directory
		var oProps 	= Components.classes["@mozilla.org/file/directory_service;1"].getService(Components.interfaces.nsIProperties);
		var sTmp	= (oProps.get("TmpD", Components.interfaces.nsIFile)).path
				
		// Get Slash Direction
		var sSlash = (sTmp.indexOf("\\") > -1) ? "\\" : "/";
			
		sTmp += sSlash + "mozOpenDownload" + sSlash;
		
		// Make and Verify full path
		var i		= 0;
		var sPath	= sTmp + sFilename + sExt;
		var oFile 	= Components.classes["@mozilla.org/file/local;1"].getService(Components.interfaces.nsILocalFile);
			oFile.initWithPath(sPath);
		
		while(oFile.exists() && i < 20){
			i++;
			sPath = sTmp + sFilename +"["+ i +"]"+ sExt;
			oFile.initWithPath(sPath);
		}
		
		return oFile;
	
	} catch(err) { throw "(110)\n"+ err; }
}

